
import math
import os
import random
import re
import string

def generate_random_string(length):
    if not isinstance(length, int) or length <= 0:
        raise ValueError("Length must be a positive integer")
    
    characters = string.ascii_letters + string.digits
    random_string = ''.join(random.choice(characters) for i in range(length))
    return random_string

